path: /build/build/rtw89-kernel-5.4-0.20220824+23.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd rtw89 && sed -e 's|^MODDESTDIR.*|MODDESTDIR := /rtw89/lib/modules/5.4.269-macaroni/kernel/drivers/net/wireless/realtek/rtw89/|g'
    -i Makefile && make install
  env:
  - KVER=5.4.269-macaroni
  - GIT_HASH=e3ef10e3a6b3a002af800d658efa904e0d30f1a2
  prelude:
  - luet repo update && luet i kernel-5.4/macaroni-full kernel-5.4/macaroni-modules
    --nodeps --finalizer-env "BUILD_ISO=1" && luet i git make sys-apps/kmod && luet
    cleanup
  - ln -s /usr/src/linux-5.4.269-macaroni /lib/modules/5.4.269-macaroni/build
  - git clone https://github.com/lwfinger/rtw89.git && cd rtw89 && git checkout "${GIT_HASH%\+*}"
    && make
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e2c78bf1ff27fea617853da35dc335c8a54acc3a8eeabd4e113589ed2dcfe34b
  package:
    name: rtw89
    version: 0.20220824+23
    category: kernel-5.4
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.4
    annotations:
      kernel_module: true
    description: Driver for Realtek 8852AE, an 802.11ax device,
    buildtimestamp: 2024-02-29 09:24:29.987976333 +0000 UTC m=+160.621590824
    labels:
      kernel.suffix: macaroni
      kernel.version: 5.4.269
    treedir: /build/packages
  package_dir: /rtw89
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 52f4f31fea7b7a1f3d591644158c3ab0550d969c3bbb19391ec1d55a5c88c62c
compressiontype: zstd
files:
- lib/modules/5.4.269-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89core.ko
- lib/modules/5.4.269-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw89pci.ko
- lib/modules/5.4.269-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852a.ko
- lib/modules/5.4.269-macaroni/kernel/drivers/net/wireless/realtek/rtw89/rtw_8852ae.ko
package_cacheimage: ""
runtime:
  name: rtw89
  version: 0.20220824+23
  category: kernel-5.4
  annotations:
    kernel_module: true
  description: Driver for Realtek 8852AE, an 802.11ax device,
  labels:
    kernel.suffix: macaroni
    kernel.version: 5.4.269
